Package be.fgov.ehealth.standards.kmehr.cd.v1

# Enum Class CDTRANSACTIONREGvalues

java.lang.Object
java.lang.Enum<CDTRANSACTIONREGvalues>
be.fgov.ehealth.standards.kmehr.cd.v1.CDTRANSACTIONREGvalues

All Implemented Interfaces:
  `Serializable`, `Comparable<CDTRANSACTIONREGvalues>`, `java.lang.constant.Constable`

public enum CDTRANSACTIONREGvalues extends Enum<CDTRANSACTIONREGvalues>

Java class for CD-TRANSACTION-REGvalues

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-TRANSACTION-REGvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="qermid-stent-intervention"/>
         <enumeration value="orthopride-intervention"/>
         <enumeration value="defib-intervention"/>
         <enumeration value="pacemaker-intervention"/>
         <enumeration value="arthritis-notification"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ARTHRITIS_NOTIFICATION`
  `DEFIB_INTERVENTION`
  `ORTHOPRIDE_INTERVENTION`
  `PACEMAKER_INTERVENTION`
  `QERMID_STENT_INTERVENTION`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CDTRANSACTIONREGvalues`
  `fromValue(String v)`
  Gets the enum associated to the value passed as parameter.
  `String`
  `value()`
  Gets the value associated to the enum constant.
  `static CDTRANSACTIONREGvalues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CDTRANSACTIONREGvalues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### QERMID_STENT_INTERVENTION

    public static final CDTRANSACTIONREGvalues QERMID_STENT_INTERVENTION

  - ### ORTHOPRIDE_INTERVENTION

    public static final CDTRANSACTIONREGvalues ORTHOPRIDE_INTERVENTION

  - ### DEFIB_INTERVENTION

    public static final CDTRANSACTIONREGvalues DEFIB_INTERVENTION

  - ### PACEMAKER_INTERVENTION

    public static final CDTRANSACTIONREGvalues PACEMAKER_INTERVENTION

  - ### ARTHRITIS_NOTIFICATION

    public static final CDTRANSACTIONREGvalues ARTHRITIS_NOTIFICATION

- ## Method Details

  - ### values

    public static CDTRANSACTIONREGvalues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CDTRANSACTIONREGvalues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    Gets the value associated to the enum constant.
    Returns:
      The value linked to the enum.

  - ### fromValue

    public static CDTRANSACTIONREGvalues fromValue(String v)
    Gets the enum associated to the value passed as parameter.
    Parameters:
      `v` - The value to get the enum from.
    Returns:
      The enum which corresponds to the value, if it exists.
    Throws:
      `IllegalArgumentException` - If no value matches in the enum declaration.